from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError,Warning
from psycopg2 import sql, DatabaseError

from werkzeug import utils

class opendons_bank_deposit(models.Model):
    _name = 'opendons.bankdeposit'
    _description = 'manage bank deposit'

    
    company_id = fields.Many2one(
        "res.company",
        string="Company",
        ondelete="cascade",
        default=lambda self: self.env.company,
    )
    payment_batch_ids = fields.One2many(
        'opendons_payment_batch',
        'bankdeposit_id',
        string='Payment batchs',
        readonly=True
    )
    